# Update FX rate **PUT /v2/api/fxrates/{id}** Replace an existing custom FX rate by ID. The rate is deleted and recreated to ensure time-range integrity. ## Servers - https://api.maddenanalytics.com: https://api.maddenanalytics.com () ## Authentication methods - Bearer ## Parameters ### Path parameters - **id** (integer) FX rate ID ### Body: application/json (object) - **exchangeDate** (string) - **externalReference** (string) - **fromCurrency** (string) - **fromDate** (string) - **id** (integer) - **rate** (number) - **toCurrency** (string) - **toDate** (string) ## Responses ### 200 OK #### Body: application/json (object) - **exchangeDate** (string) - **externalReference** (string) - **fromCurrency** (string) - **fromDate** (string) - **id** (integer) - **rate** (number) - **toCurrency** (string) - **toDate** (string) ### default All errors will return the same object with a describing code & message #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) [Powered by Bump.sh](https://bump.sh)